summaryrefslogtreecommitdiffstats
path: root/source/xap/fvwm/fvwm.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/fvwm/fvwm.SlackBuild')
-rwxr-xr-xsource/xap/fvwm/fvwm.SlackBuild74
1 files changed, 40 insertions, 34 deletions
diff --git a/source/xap/fvwm/fvwm.SlackBuild b/source/xap/fvwm/fvwm.SlackBuild
index 7906a4731..b04223c75 100755
--- a/source/xap/fvwm/fvwm.SlackBuild
+++ b/source/xap/fvwm/fvwm.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,10 +22,8 @@
PKGNAM=fvwm
-VERSION=${VERSION:-2.4.20}
-BUILD=${BUILD:-2}
-
-NUMJOBS=${NUMJOBS:-" -j7 "}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-6}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -37,6 +35,8 @@ if [ -z "$ARCH" ]; then
esac
fi
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
@@ -46,20 +46,22 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-${PKGNAM}
+PKG=$TMP/package-$PKGNAM
rm -rf $PKG
mkdir -p $TMP $PKG
-cd $TMP
-rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.bz2 || exit 1
-cd ${PKGNAM}-$VERSION || exit 1
-# Make sure ownerships and permissions are sane:
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -67,36 +69,37 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --sysconfdir=/etc/X11/fvwm2 \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
--mandir=/usr/man \
- --enable-multibyte \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --disable-bidi \
--program-prefix= \
--program-suffix= \
- --enable-extras \
--build=$ARCH-slackware-linux
-# Build and install:
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-# Add some ancient icons:
+# Add some ancient icons. The fvwm95 sample config still uses these.
( cd $PKG ; tar xzf $CWD/ancient-icons.tar.gz )
+# This script is called from the xinitrc:
+zcat $CWD/startfvwm2.gz > $PKG/usr/bin/startfvwm2
+chmod 755 $PKG/usr/bin/startfvwm2
+
+# This stuff appears to be misplaced junk:
+rm -rf $PKG/usr/share/doc
+
# Add a few more things:
mkdir -p $PKG/etc/X11/xinit
zcat $CWD/xinitrc.fvwm2.gz > $PKG/etc/X11/xinit/xinitrc.fvwm2
chmod 755 $PKG/etc/X11/xinit/xinitrc.fvwm2
-mkdir -p $PKG/etc/X11/fvwm2
-zcat $CWD/system.fvwm2rc.gz > $PKG/etc/X11/fvwm2/system.fvwm2rc.new
-mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/X11
-( cd $PKG/usr/lib${LIBDIRSUFFIX}/X11 && rm -rf fvwm2 )
-( cd $PKG/usr/lib${LIBDIRSUFFIX}/X11 && ln -sf ../../../etc/X11/fvwm2 fvwm2 )
+#zcat $CWD/system.fvwm2rc.gz > $PKG/etc/system.fvwm2rc.new
-# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -109,27 +112,30 @@ if [ -d $PKG/usr/man ]; then
ln -s $( readlink $eachpage ).gz $eachpage.gz
rm $eachpage
done
- gzip -9 *.*
+ gzip -9 *.?
)
done
)
fi
-# Add a documentation directory:
-mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+# Install some documentation:
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- AUTHORS COPYING INSTALL INSTALL.fvwm NEWS README \
- $PKG/usr/doc/${PKGNAM}-$VERSION
-( cd docs
- cp -a \
- ANNOUNCE BUGS DEVELOPERS FAQ TODO color_combos error_codes fvwm.lsm m4_hacks \
- $PKG/usr/doc/${PKGNAM}-$VERSION
-)
+ AUTHORS COPYING* NEWS README* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
mkdir -p $PKG/install
zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz